Subject: Re: linux-next: build failure after merge of the qcom tree

From: "Luca Weiss" <[email-masked]>
Date: Thu, 21 Sep 2023 08:30:08 +0200

On Thu Sep 21, 2023 at 12:42 AM CEST, Stephen Rothwell wrote:
> Hi all,
>
> After merging the qcom tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
>
> Error: scripts/dtc/include-prefixes/arm64/qcom/pm7250b.dtsi:44.10-11 syntax error
> FATAL ERROR: Unable to parse input tree
>
> Caused (exposed) by commit
>
>   eee9602ad649 ("arm64: dts: qcom: qcm6490: Add device-tree for Fairphone 5")

Hi, this should be caused by
"arm64: dts: qcom: pm7250b: make SID configurable"

It seems I've missed updating one arm32 dts file, I'll send a patch for
this shortly.

Sorry about that.

diff --git a/arch/arm/boot/dts/qcom/qcom-sdx65-mtp.dts b/arch/arm/boot/dts/qcom/qcom-sdx65-mtp.dts
index fcf1c51c5e7a..9649c859a2c3 100644
--- a/arch/arm/boot/dts/qcom/qcom-sdx65-mtp.dts
+++ b/arch/arm/boot/dts/qcom/qcom-sdx65-mtp.dts
@@ -4,6 +4,10 @@
  */
 /dts-v1/;
 
+/* PM7250B is configured to use SID2/3 */
+#define PM7250B_SID 2
+#define PM7250B_SID1 3
+
 #include "qcom-sdx65.dtsi"
 #include <dt-bindings/regulator/qcom,rpmh-regulator.h>
 #include <arm64/qcom/pmk8350.dtsi>

>
> I have used the qcom tree from next-20230920 for today.